X2Go Bug report logs - #1315
loadchecker bad auto sleep time leads to faulty service

version graph

Package: x2gobroker-loadchecker; Maintainer for x2gobroker-loadchecker is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker-loadchecker is src:x2gobroker.

Reported by: Walid MOGHRABI <w.moghrabi@servicemagic.eu>

Date: Mon, 13 Aug 2018 10:45:03 UTC

Severity: normal

Tags: pending

Found in version 0.0.4.0-0~1038~ubuntu16.04.1

Fixed in version 0.0.4.0

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1315; Package x2gobroker-loadchecker. (Mon, 13 Aug 2018 10:45:03 GMT) (full text, mbox, link).


Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org.

Your message specified a Severity: in the pseudo-header, but the severity value bug was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, important, normal, minor, wishlist.

(Mon, 13 Aug 2018 10:45:03 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: submit@bugs.x2go.org
Subject: loadchecker bad auto sleep time leads to faulty service
Date: Mon, 13 Aug 2018 12:43:45 +0200 (CEST)
package: x2gobroker-loadchecker
version: 0.0.4.0-0~1038~ubuntu16.04.1 
priority: bug 


I had a problem with broker loadbalancing not working anymore even though the loadchecker service seemed to work well.
Looking at the logs, I found an unusual "sleep time" for the loadchecker service then, after that, it seemed to never re-caclulate load on remote servers.

---
2018-08-08 08:43:40,379 - loadchecker - INFO - Executing agent command on remote host tce-server-14 (10.50.0.214): sh -c '/usr/lib/x2go/x2gobroker-agent foo checkload'
2018-08-08 08:43:40,812 - loadchecker - INFO - Broker agent answered: OK; loadavgXX:49; memAvail:21904; myMemAvail:22030; numCPU:16; typeCPU:2400; 
2018-08-08 08:43:40,812 - loadchecker - INFO - LoadChecker.loadchecker(): contacted remote broker agent for backend=inifile, profile_id=WIN-TRAVAUX, hostname=tce-server-14, new load factor is: 1716558
2018-08-08 08:43:40,813 - loadchecker - DEBUG - LoadChecker.loadchecker(): sleeping for 6.976744186046512secs before querying next server
2018-08-08 08:43:48,051 - loadchecker - INFO - Executing agent command on remote host tce-server-13 (10.50.0.213): sh -c '/usr/lib/x2go/x2gobroker-agent foo checkload'
2018-08-08 08:43:48,497 - loadchecker - INFO - Broker agent answered: OK; loadavgXX:126; memAvail:21117; myMemAvail:21242; numCPU:16; typeCPU:2400; 
2018-08-08 08:43:48,497 - loadchecker - INFO - LoadChecker.loadchecker(): contacted remote broker agent for backend=inifile, profile_id=WIN-TRAVAUX, hostname=tce-server-13, new load factor is: 643565
2018-08-08 08:43:48,498 - loadchecker - DEBUG - LoadChecker.loadchecker(): sleeping for 6.976744186046512secs before querying next server
2018-08-08 08:43:55,734 - loadchecker - INFO - Executing agent command on remote host tce-server-12 (10.50.0.212): sh -c '/usr/lib/x2go/x2gobroker-agent foo checkload'
2018-08-08 08:43:56,162 - loadchecker - INFO - Broker agent answered: OK; loadavgXX:52; memAvail:22260; myMemAvail:22386; numCPU:16; typeCPU:2400; 
2018-08-08 08:43:56,162 - loadchecker - INFO - LoadChecker.loadchecker(): contacted remote broker agent for backend=inifile, profile_id=WIN-TRAVAUX, hostname=tce-server-12, new load factor is: 1643815
2018-08-08 08:43:56,163 - loadchecker - DEBUG - LoadChecker.loadchecker(): sleeping for 6.976744186046512secs before querying next server
2018-08-08 08:44:03,404 - loadchecker - INFO - Executing agent command on remote host tce-server-11 (10.50.0.211): sh -c '/usr/lib/x2go/x2gobroker-agent foo checkload'
2018-08-08 08:44:03,850 - loadchecker - INFO - Broker agent answered: OK; loadavgXX:123; memAvail:21398; myMemAvail:21524; numCPU:16; typeCPU:2400; 
2018-08-08 08:44:03,851 - loadchecker - INFO - LoadChecker.loadchecker(): contacted remote broker agent for backend=inifile, profile_id=WIN-TRAVAUX, hostname=tce-server-11, new load factor is: 668035
2018-08-08 08:44:03,851 - loadchecker - DEBUG - LoadChecker.loadchecker(): sleeping for 6.976744186046512secs before querying next server
2018-08-08 08:44:11,093 - loadchecker - INFO - Executing agent command on remote host tce-server-10 (10.50.0.210): sh -c '/usr/lib/x2go/x2gobroker-agent foo checkload'
2018-08-08 08:44:11,532 - loadchecker - INFO - Broker agent answered: OK; loadavgXX:84; memAvail:22133; myMemAvail:22259; numCPU:16; typeCPU:2400; 
2018-08-08 08:44:11,532 - loadchecker - INFO - LoadChecker.loadchecker(): contacted remote broker agent for backend=inifile, profile_id=WIN-TRAVAUX, hostname=tce-server-10, new load factor is: 1011794
2018-08-08 08:44:11,533 - loadchecker - DEBUG - LoadChecker.loadchecker(): sleeping for 6.976744186046512secs before querying next server
2018-08-08 08:44:18,774 - loadchecker - INFO - Executing agent command on remote host tce-server-09 (10.50.0.209): sh -c '/usr/lib/x2go/x2gobroker-agent foo checkload'
2018-08-08 08:44:19,206 - loadchecker - INFO - Broker agent answered: OK; loadavgXX:93; memAvail:21758; myMemAvail:21883; numCPU:16; typeCPU:2400; 
2018-08-08 08:44:19,206 - loadchecker - INFO - LoadChecker.loadchecker(): contacted remote broker agent for backend=inifile, profile_id=WIN-TRAVAUX, hostname=tce-server-09, new load factor is: 898394
2018-08-08 08:44:19,206 - loadchecker - DEBUG - LoadChecker.loadchecker(): sleeping for 6.976744186046512secs before querying next server
2018-08-08 08:44:26,189 - loadchecker - DEBUG - LoadChecker.loadchecker(): performed 44 queries (failures: 0), sleeping for -6.976744186046517secs before starting next query cycle
2018-08-08 08:46:47,377 - loadchecker - DEBUG - LoadCheckServiceHandler.handle_read(): received load check query: backend=inifile, profile_id=TRAVAUX, hostname=
2018-08-08 08:46:47,377 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-11: 763244
2018-08-08 08:46:47,377 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-23: 1742811
2018-08-08 08:46:47,377 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-26: 507295
2018-08-08 08:46:47,378 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-18: 899328
2018-08-08 08:46:47,378 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-19: 932160
2018-08-08 08:46:47,378 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-09: 879966
2018-08-08 08:46:47,378 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-28: 834700
2018-08-08 08:46:47,378 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-17: 721955
2018-08-08 08:46:47,378 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-25: 715089
2018-08-08 08:46:47,379 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-29: 1195074
2018-08-08 08:46:47,379 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-20: 1431168
2018-08-08 08:46:47,379 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-27: 1196586
2018-08-08 08:46:47,379 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-31: 1972650
2018-08-08 08:46:47,379 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-13: 735827
2018-08-08 08:46:47,379 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-24: 780717
2018-08-08 08:46:47,379 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-10: 932487
2018-08-08 08:46:47,380 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-12: 1237871
2018-08-08 08:46:47,380 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-30: 1371001
2018-08-08 08:46:47,380 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-21: 587846
2018-08-08 08:46:47,380 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-14: 1616787
2018-08-08 08:46:47,380 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-15: 741288
2018-08-08 08:46:47,380 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-22: 924074
2018-08-08 08:46:54,245 - loadchecker - DEBUG - LoadCheckServiceHandler.handle_read(): received load check query: backend=inifile, profile_id=TRAVAUX, hostname=
2018-08-08 08:46:54,245 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-11: 763244
2018-08-08 08:46:54,245 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-23: 1742811
2018-08-08 08:46:54,246 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-26: 507295
2018-08-08 08:46:54,246 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-18: 899328
2018-08-08 08:46:54,246 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-19: 932160
2018-08-08 08:46:54,246 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-09: 879966
2018-08-08 08:46:54,246 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-28: 834700
2018-08-08 08:46:54,246 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-17: 721955
2018-08-08 08:46:54,246 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-25: 715089
2018-08-08 08:46:54,246 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-29: 1195074
2018-08-08 08:46:54,246 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-20: 1431168
2018-08-08 08:46:54,247 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-27: 1196586
2018-08-08 08:46:54,247 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-31: 1972650
2018-08-08 08:46:54,247 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-13: 735827
2018-08-08 08:46:54,247 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-24: 780717
2018-08-08 08:46:54,247 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-10: 932487
2018-08-08 08:46:54,247 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-12: 1237871
2018-08-08 08:46:54,247 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-30: 1371001
2018-08-08 08:46:54,247 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-21: 587846
2018-08-08 08:46:54,247 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-14: 1616787
2018-08-08 08:46:54,247 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-15: 741288
2018-08-08 08:46:54,248 - loadchecker - INFO - LoadCheckServiceHandler.handle_read(): load check result for backend=inifile, profile_id=TRAVAUX, hostname=tce-server-22: 924074
2018-08-08 08:47:21,453 - loadchecker - DEBUG - LoadCheckServiceHandler.handle_read(): received load check query: backend=inifile, profile_id=TRAVAUX, hostname=
---

As you can see, there is a strange line with a '-6.976744186046517secs' value for sleep time which seems to be interpreted as an infinite sleep time by the process and then, load is never recalculated :

---
2018-08-08 08:44:26,189 - loadchecker - DEBUG - LoadChecker.loadchecker(): performed 44 queries (failures: 0), sleeping for -6.976744186046517secs before starting next query cycle
---

I don't see any reason why this happens and I was unable to reproduce it manually, it is a rare case but it already happened more than once.
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1315; Package x2gobroker-loadchecker. (Thu, 13 Sep 2018 13:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 13 Sep 2018 13:55:03 GMT) (full text, mbox, link).


Message #10 received at 1315@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 1315-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1315@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as pending for release
Date: Thu, 13 Sep 2018 15:50:32 +0200 (CEST)
tag #1315 pending
fixed #1315 0.0.4.0
thanks

Hello,

X2Go issue #1315 (src:x2gobroker) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=533a37b

The issue will most likely be fixed in src:x2gobroker (0.0.4.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 533a37bc1650b1caf48e03a101df18e2c89b6f79
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Thu Sep 13 15:49:44 2018 +0200

    x2gobroker/loadchecker.py: Avoid rare cases where at the end of a load checking cycle a negative sleep time would have been calculated. (Fixes: #1315). Thanks to Walid Moghrabi for catching this.

diff --git a/debian/changelog b/debian/changelog
index cbe2446..6c8f0df 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -80,6 +80,9 @@ x2gobroker (0.0.4.0-0x2go1) UNRELEASED; urgency=medium
     - x2gobroker/loadchecker.py: Don't re-read the x2gobroker.conf during
       each cycle of the load checking loop. Rather read it on service startup
       and require a service restart when x2gobroker.conf has been changed.
+    - x2gobroker/loadchecker.py: Avoid rare cases where at the end of a load
+      checking cycle a negative sleep time would have been calculated.
+      (Fixes: #1315). Thanks to Walid Moghrabi for catching this.
   * debian/*:
     + Trigger Makefile's install target and install those files. Drop debhelper
       from-source-installation magic.


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 13 Sep 2018 13:55:04 GMT) (full text, mbox, link).


Marked as fixed in versions 0.0.4.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 13 Sep 2018 13:55:04 GMT) (full text, mbox, link).


Message sent on to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Bug#1315. (Thu, 13 Sep 2018 13:55:05 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1315; Package x2gobroker-loadchecker. (Sat, 02 Feb 2019 21:10:12 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 02 Feb 2019 21:10:13 GMT) (full text, mbox, link).


Message #22 received at 1315@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 1315-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1315@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as closed
Date: Sat, 2 Feb 2019 22:08:26 +0100 (CET)
close #1315
thanks

Hello,

we are very hopeful that X2Go issue #1315 reported by you
has been resolved in the new release (0.0.4.0) of the
X2Go source project »src:x2gobroker«.

You can view the complete changelog entry of src:x2gobroker (0.0.4.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2gobroker.

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=a2455880e34e31546054ce50abd1512c61430b51;hp=dbea0c7c20c58e6783ea796691f0881131ad6590

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2gobroker.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2gobroker
Version: 0.0.4.0-0x2go1
Status: RELEASE
Date: Sat, 02 Feb 2019 21:50:29 +0100
Fixes: 1013 1234 1240 1252 1315
Changes:
 x2gobroker (0.0.4.0-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * New upstream version (0.0.4.0):
     - Bump upstream version to 0.0.4.0.
     - Port to Python 3. (Fixes: #1240).
     - Drop left-over debug print() call.
     - Makefile: Assure that setup.py is run under Python3.
     - Improve debugging messages during authentication phase.
     - x2gobroker/basicauth.py: Fix call of base64.decodestring on Python3.
     - Unit tests: Fix deep misunderstanding in the way allow-deny vs.
       deny-allow should actually work.
     - x2gobroker/brokers/base_broker.py: Entire rewrite of
       check_profile_acls() method. (Fixes: #1234).
     - x2gobroker/tests/test_web_plain_base.py: Add test case for passwords
       with accentuated characters (using the testsuite_authmech for now).
     - Makefile: Support skipping installation of the x2gobroker PyModule.
       Useful when building with CDBS on Debian.
     - Makefile: Compress man pages.
     - Makefile: Run setup.py build at build time.
     - tmpfiles.d utilization: Create RUNDIR/x2gobroker via tmpfiles.d system.
       Fixes missing dir and flawed permissions when running under systemd.
     - etc/x2gobroker.conf: Mention the per-profile option for enabling/disabling
       load checker support.
     - sbin/{x2gobroker-pubkeyauthorizer,x2gobroker-keygen}: Use proper octal
       numbers for file permissions.
     - sbin/x2gobroker-pubkeyauthorizer: Fix key lookup in os.environ for
       Python3.
     - sbin/x2gobroker-pubkeyauthorizer: Some string/bytecode fixes for Python3.
       Plus urllib -> urllib.request.
     - sbin/x2gobroker-pubkeyauthorizer: Improve key integrity checker and move
       it further up. Plus one more Python2 -> Python3 issue fixed.
     - sbin/x2gobroker-pubkeyauthorizer: Drop unused binascii import.
     - x2gobroker-pubkeyauthorizer: Tiny Python2to3 fix.
     - load checker integration: Make the default-use-load-checker option work
       like all other default-* options.
     - uccs frontend: Convert datetime.datetime object to string before answering
       the http request with it.
     - x2gobroker/agent (check_load()): Bail out if no remote agent is given.
     - x2gobroker-testagent: Convert to Python3 (using 2to3 tool).
     - x2gobroker-loadchecker: Python3'ify iteration over dict keys.
     - x2gobroker/utils.py: Provide helper functions for pretty-formatting key
       fingerprints.
     - x2gobroker-keygen: Use new fingerprint formatting functions.
     - x2gobroker/agent.py: Bail out if no hostaddr contained in remote_agent.
     - x2gobroker/agent.py: No load-checking when remote_agent is set to 'LOCAL'.
     - x2gobroker/agent.py: Better sanity checks for remote_agent and its dict
       keys hostname and hostaddr.
     - x2gobroker/loadchecker.py: Report properly to the logger if we fail to
       obtain a load factor.
     - x2gobroker-loadchecker.service: loadchecker service needs to chuid to
       system user x2gobroker. (Fixes: #1252).
     - x2gobroker-loadchecker.service: File ownership should be
       x2gobroker:x2gobroker, too.
     - x2gobroker-loadchecker: No chown/chmod if we are not running as root
       (which is mostly the case).
     - x2gobroker/brokers/inifile_broker.py: Make sure profile['name'] has a
       fallback if not given in the session profile.
     - x2gobroker/brokers/inifile_broker.py: Also check for presence of 'host'
       and 'sshport'.
     - UCCS API change for X2Go Sessions: Rename "SessionType" to "Command".
     - obligatory profile keys: Move from inifile backend to UCCS frontend, as
       those requirements are frontend specific.
     - UCCS: Start working on API version 5.
     - x2gobroker/uccsjson.py: Hide private Python class properties from JSON
       dict (like <obj>._api_version).
     - UCCS frontend: Fix API version check.
     - UCSS frontend: Propagate API version onwards to the X2GoServer JSON
       generator class.
     - infile broker backend: Fix handling of empty lists in session profile
       and session profile defaults.
     - etc/x2gobroker-wsgi.apache.*: Drop Apache2.2 support.
     - Log to system broker.log file when run via x2gobroker-ssh.
     - Getting started documentation: Rework document, convert to markdown,
       install into x2gobroker bin:pkg (on DEB based systems).
     - Makefile.docupload: Add apidoc target (running sphinx-apidoc).
     - docs/source: Initialize Sphinx API documentation's .rst files.
     - bin/x2gobroker: If binding the http server fails, a non-zero exit code
       should be returned. (Fixes: #1013).
     - x2gobroker/loadchecker.py: Don't re-read the x2gobroker.conf during
       each cycle of the load checking loop. Rather read it on service startup
       and require a service restart when x2gobroker.conf has been changed.
     - x2gobroker/loadchecker.py: Avoid rare cases where at the end of a load
       checking cycle a negative sleep time would have been calculated.
       (Fixes: #1315). Thanks to Walid Moghrabi for catching this.
     - HTTP broker: Add &login=<server_user> support to plain and json broker
       frontends.
     - SSH broker: Add --login option. This now supports X2Go Broker user and
       X2Go Server username being different accounts.
     - bin/x2gobroker: Correctly use split_host_address() function call.
     - bin/x2gobroker: Don't override already defined logger objects, define
       them properly where needed.
     - Convert one more unicode object into (Python3) string.
     - x2gobroker/tests/test_broker_agent.py: Assure that tests are run without
       loadchecker usage.
     - broker-use-load-checker profile option: Also tolerate 'TRUE' and 'True'.
     - x2gobroker/agent.py: Fix failing execution of LOCAL broker agent. As
       the LOCAL broker agent is executed setuid root, we cannot
       Popen.terminate() (which is unneeded anyway) the process after its
       execution.
     - Ignore SSH broker events for now. Not sure if we will ever support that.
     - Finalize API documentation.
     - Fix regression flaw in x2gobroker/web/json.py, introduced by commit
       9fa371e9.
   * debian/*:
     + Trigger Makefile's install target and install those files. Drop debhelper
       from-source-installation magic.
   * debian/{control,compat}: Bump to DH version level 9.
   * debian/{control,x2gobroker-common.install}:
     + Split out common files into non-Pythonian bin:pkg.
   * debian/*.install:
     + Add EOLs at EOF.
     + Add tmpfiles.d files into bin:pkgs.
     + Fix installation to /usr/lib/python3.x paths.
   * debian/control:
     + Drop from D (several bin:pkgs): python3-argparse, argparse is shipped
       with Python3 core.
     + Switch from libapache2-mod-wsgi to libapache2-mod-wsgi-py3.
     + Add B-D: dh-python.
     + Add B-D: python3-netaddr (for unit tests).
   * debian/x2gobroker-loadchecker.postinst:
     + Do chown/chmod on the correct file (not authservice.log, but
       loadchecker.log).
   * debian/python-x2gobroker-doc.doc-base:
     + Drop leading white-space in Abstract: field.
   * x2gobroker.spec:
     + Adapt to Python3 port.
     + Bump package version.
     + CentOS 6 + 7 have python34-devel, not python3-devel.
     + Enable debug_packages for openSUSE Tumbleweed (suse_version > 1500).
     + CentOS 6 + 7 have python34-setuptools, not python3-setuptools.
     + Fix removal of conf files in tmpfiles.d where needed.
     + Install tmpfiles.d configs into bin:pkgs.
     + Only install tmpfiles.d configs on systems that support/have systemd.
     + Some path fixes for the new tmpfiles.d/.
     + Make sure the build chroot has all it needs to run the PyModule's unit
       tests.
     + Let's try to get unit tests working on Fedora first...
 .
   [ Mihai Moldovan ]
   * New upstream version (0.0.4.0):
     - src/x2gobroker-{agent,ssh}.c: catch errors in setuid wrappers and add
       general return clause to make compilers happy.
     - Makefile: make sure that we actually append our custom CFLAGS and
       LDFLAGS values, even if passed in through the make command line.
     - src/x2gobroker-{agent,ssh}.c: fix compile warnings/errors.
     - src/x2gobroker-{agent,ssh}.c: fix more compile errors.
     - misc: copyright update.
     - misc: switch to HTTPS-based URLs where appropriate.
     - man/*: update date and version stamps pre-release.
     - misc: add missing coding modelines.
   * x2gobroker.spec:
     - Add %debug_package macro when debugging is to be enabled, hoping that it
       will actually generate proper debuginfo (and -source) sub packages
       owning files.
     - Whitespace only.
     - Remove obsolete EPEL 5 support.
     - Switch to HTTPS-based links.
     - Use more curly braces.
     - Pull in gcc and redhat-rpm-config.
     - Re-enable debug file generation to see which OS versions still fail.
     - %exclude does not work with curly braces, revert.
     - Remove %debug_package macro usage, breaks builds nowadays.
     - Pass down global flags in CFLAGS and LDFLAGS.
     - Fix %{__global_ldflags} usage if variable does not exist.
     - Commands don't seem to work when wrapped in curly braces (at least on
       *SuSE), so revert.


Marked Bug as done Request was from X2Go Release Manager X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Sat, 02 Feb 2019 21:10:21 GMT) (full text, mbox, link).


Notification sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Bug acknowledged by developer. (Sat, 02 Feb 2019 21:10:21 GMT) (full text, mbox, link).


Message sent on to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Bug#1315. (Sat, 02 Feb 2019 21:10:27 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sun, 03 Mar 2019 06:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Nov 19 10:45:00 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.